Несколько уязвимостей в MadWifi

Дата публикации:
25.05.2007
Дата изменения:
15.03.2009
Всего просмотров:
1619
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-2829
CVE-2007-2830
CVE-2007-2831
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MadWifi 0.x
Уязвимые версии: MadWifi версии до 0.9.3.1.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании.

1. Уязвимость деления на ноль обнаружена в функции "ath_beacon_config()". Злоумышленник может с помощью специально сформированного пакета вызвать отказ в обслуживании приложения.

2. Уязвимость существует из-за ошибки при обработке IO "ieee80211_ioctl_getwmmparams". Злоумышленник может вызвать отказ в обслуживании ядра путем вызова IO компонента с отрицательным параметром индекса. Злоумышленник может также получить доступ к некоторым частям памяти.

3. Уязвимость существует из-за ошибки при обработке длины разветвленных 802.3 Ethernet фреймов. Злоумышленник может с помощью специально сформированного пакета вызвать разыменование нулевого указателя и аварийно завершить работу приложения.

URL производителя: madwifi.org

Решение: Установите последнюю версию 0.9.3.1 с сайта производителя.

Ссылки: http://madwifi.org/ticket/1270
http://madwifi.org/ticket/1334
http://madwifi.org/ticket/1335

или введите имя

CAPTCHA